Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.javadoc
Class Javadoc

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.SourceTask
              org.gradle.api.tasks.javadoc.Javadoc

    class Javadoc
    extends SourceTask

Generates Javadoc from Java source.

author:
  Hans Dockter

Constructor Summary
`Javadoc()`

Method Summary
`protected void` | `generate()`
`FileCollection` | `getClasspath()`
`File` | `getDestinationDir()` Returns the directory to generate the documentation into.
`java.lang.String` | `getMaxMemory()` Returns the amount of memory allocated to this task.
`MinimalJavadocOptions` | `getOptions()`
`File` | `getOptionsFile()`
`java.lang.String` | `getTitle()` Returns the title for the generated documentation.
`boolean` | `isFailOnError()`
`boolean` | `isVerbose()` Returns whether javadoc generation is accompanied by verbose output.
`void` | `setClasspath(FileCollection configuration)`
`void` | `setDestinationDir(File destinationDir)` Sets the directory to generate the documentation into.
`void` | `setFailOnError(boolean failOnError)`
`void` | `setJavadocExecHandleBuilder(JavadocExecHandleBuilder javadocExecHandleBuilder)`
`void` | `setMaxMemory(java.lang.String maxMemory)` Sets the amount of memory allocated to this task.
`void` | `setOptions(MinimalJavadocOptions options)`
`void` | `setOptionsFile(File optionsFile)`
`void` | `setTitle(java.lang.String title)` Sets the title for the generated documentation.
`void` | `setVerbose(boolean verbose)` Sets whether javadoc generation is accompanied by verbose output or not.

Methods inherited from class SourceTask
exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, setExcludes, setIncludes, setSource, source

Constructor Detail

### Javadoc

    Javadoc()

Method Detail

### generate

    @TaskAction
    protected void generate()

### getClasspath

    @InputFiles
    public FileCollection getClasspath()

### getDestinationDir

    @OutputDirectory
    public File getDestinationDir()

  Returns the directory to generate the documentation into.

  return:
    The directory.

### getMaxMemory

    public java.lang.String getMaxMemory()

  Returns the amount of memory allocated to this task.

### getOptions

    public MinimalJavadocOptions getOptions()

### getOptionsFile

    @OutputFile
    public File getOptionsFile()

### getTitle

    public java.lang.String getTitle()

  Returns the title for the generated documentation.

  return:
    The title, possibly null.

### isFailOnError

    public boolean isFailOnError()

### isVerbose

    public boolean isVerbose()

  Returns whether javadoc generation is accompanied by verbose output.
  see:
    #setVerbose(boolean)

### setClasspath

    public void setClasspath(FileCollection configuration)

### setDestinationDir

    public void setDestinationDir(File destinationDir)

  Sets the directory to generate the documentation into.

### setFailOnError

    public void setFailOnError(boolean failOnError)

### setJavadocExecHandleBuilder

    public void setJavadocExecHandleBuilder(JavadocExecHandleBuilder javadocExecHandleBuilder)

### setMaxMemory

    public void setMaxMemory(java.lang.String maxMemory)

  Sets the amount of memory allocated to this task.
  param:
    maxMemory The amount of memory

### setOptions

    public void setOptions(MinimalJavadocOptions options)

### setOptionsFile

    public void setOptionsFile(File optionsFile)

### setTitle

    public void setTitle(java.lang.String title)

  Sets the title for the generated documentation.

### setVerbose

    public void setVerbose(boolean verbose)

  Sets whether javadoc generation is accompanied by verbose output or not. The verbose output is done via println (by the underlying ant task). Thus it is not catched by our logging.
  param:
    verbose Whether the output should be verbose.

Groovy Documentation